routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
//	if (!session('status'))
//        return view('auth.login');
	return view('welcome');
});

Auth::routes();

Auth::routes(['verify' => true]);

Route::get('/admin', 'AdminController@index')->middleware('verified');

Route::get('/admin/pages', 'PagesController@index')->middleware('verified');
Route::get('/admin/news', 'NewsController@index')->middleware('verified');

Route::resource('/admin/pages', 'PagesController')->middleware('verified');
Route::resource('/admin/news', 'NewsController')->middleware('verified');

resources/views/pages/create.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <h1>
            Pages
        </h1>
    </section>
    <div class="content">
        @include('adminlte-templates::common.errors')
        <div class="box box-primary">
            <div class="box-body">
                <div class="row">
                    {!! Form::open(['route' => 'pages.store']) !!}

                        @include('pages.fields')

                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/pages/datatables_actions.blade.php
{!! Form::open(['route' => ['pages.destroy', $id], 'method' => 'delete']) !!}
<div class='btn-group'>
    <a href="{{ route('pages.show', $id) }}" class='btn btn-default btn-xs'>
        <i class="glyphicon glyphicon-eye-open"></i>
    </a>
    <a href="{{ route('pages.edit', $id) }}" class='btn btn-default btn-xs'>
        <i class="glyphicon glyphicon-edit"></i>
    </a>
    {!! Form::button('<i class="glyphicon glyphicon-trash"></i>', [
        'type' => 'submit',
        'class' => 'btn btn-danger btn-xs',
        'onclick' => "return confirm('Are you sure?')"
    ]) !!}
</div>
{!! Form::close() !!}

resources/views/pages/edit.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <h1>
            Pages
        </h1>
   </section>
   <div class="content">
       @include('adminlte-templates::common.errors')
       <div class="box box-primary">
           <div class="box-body">
               <div class="row">
                   {!! Form::model($pages, ['route' => ['pages.update', $pages->id], 'method' => 'patch']) !!}

                        @include('pages.fields')

                   {!! Form::close() !!}
               </div>
           </div>
       </div>
   </div>
@endsection

resources/views/pages/fields.blade.php
<!-- User Id Field -->
<div class="form-group col-sm-6">
    {!! Form::label('user_id', 'User Id:') !!}
    {!! Form::number('user_id', null, ['class' => 'form-control']) !!}
</div>

<!-- Title Field -->
<div class="form-group col-sm-6">
    {!! Form::label('title', 'Title:') !!}
    {!! Form::text('title', null, ['class' => 'form-control']) !!}
</div>

<!-- Slug Field -->
<div class="form-group col-sm-6">
    {!! Form::label('slug', 'Slug:') !!}
    {!! Form::text('slug', null, ['class' => 'form-control']) !!}
</div>

<!-- Description Field -->
<div class="form-group col-sm-6">
    {!! Form::label('description', 'Description:') !!}
    {!! Form::text('description', null, ['class' => 'form-control']) !!}
</div>

<!-- Keywords Field -->
<div class="form-group col-sm-6">
    {!! Form::label('keywords', 'Keywords:') !!}
    {!! Form::text('keywords', null, ['class' => 'form-control']) !!}
</div>

<!-- Content Field -->
<div class="form-group col-sm-12 col-lg-12">
    {!! Form::label('content', 'Content:') !!}
    {!! Form::textarea('content', null, ['class' => 'form-control']) !!}
</div>

<!-- Type Field -->
<div class="form-group col-sm-6">
    {!! Form::label('type', 'Type:') !!}
    {!! Form::number('type', null, ['class' => 'form-control']) !!}
</div>

<!-- Status Field -->
<div class="form-group col-sm-6">
    {!! Form::label('status', 'Status:') !!}
    {!! Form::number('status', null, ['class' => 'form-control']) !!}
</div>

<!-- Image Full Field -->
<div class="form-group col-sm-6">
    {!! Form::label('image_full', 'Image Full:') !!}
    {!! Form::text('image_full', null, ['class' => 'form-control']) !!}
</div>

<!-- Image Preview Field -->
<div class="form-group col-sm-6">
    {!! Form::label('image_preview', 'Image Preview:') !!}
    {!! Form::text('image_preview', null, ['class' => 'form-control']) !!}
</div>

<!-- Banner Big Field -->
<div class="form-group col-sm-6">
    {!! Form::label('banner_big', 'Banner Big:') !!}
    {!! Form::text('banner_big', null, ['class' => 'form-control']) !!}
</div>

<!-- Banner Small Field -->
<div class="form-group col-sm-6">
    {!! Form::label('banner_small', 'Banner Small:') !!}
    {!! Form::text('banner_small', null, ['class' => 'form-control']) !!}
</div>

<!-- Submit Field -->
<div class="form-group col-sm-12">
    {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
    <a href="{{ route('pages.index') }}" class="btn btn-default">Cancel</a>
</div>

resources/views/pages/index.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <h1 class="pull-left">Pages</h1>
        <h1 class="pull-right">
           <a class="btn btn-primary pull-right" style="margin-top: -10px;margin-bottom: 5px" href="{{ route('pages.create') }}">Add New</a>
        </h1>
    </section>
    <div class="content">
        <div class="clearfix"></div>

        @include('flash::message')

        <div class="clearfix"></div>
        <div class="box box-primary">
            <div class="box-body">
                    @include('pages.table')
            </div>
        </div>
        <div class="text-center">
        
        </div>
    </div>
@endsection

resources/views/pages/show.blade.php
@extends('layouts.app')

@section('content')
    <section class="content-header">
        <h1>
            Pages
        </h1>
    </section>
    <div class="content">
        <div class="box box-primary">
            <div class="box-body">
                <div class="row" style="padding-left: 20px">
                    @include('pages.show_fields')
                    <a href="{{ route('pages.index') }}" class="btn btn-default">Back</a>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/pages/show_fields.blade.php
<!-- User Id Field -->
<div class="form-group">
    {!! Form::label('user_id', 'User Id:') !!}
    <p>{{ $pages->user_id }}</p>
</div>

<!-- Title Field -->
<div class="form-group">
    {!! Form::label('title', 'Title:') !!}
    <p>{{ $pages->title }}</p>
</div>

<!-- Slug Field -->
<div class="form-group">
    {!! Form::label('slug', 'Slug:') !!}
    <p>{{ $pages->slug }}</p>
</div>

<!-- Description Field -->
<div class="form-group">
    {!! Form::label('description', 'Description:') !!}
    <p>{{ $pages->description }}</p>
</div>

<!-- Keywords Field -->
<div class="form-group">
    {!! Form::label('keywords', 'Keywords:') !!}
    <p>{{ $pages->keywords }}</p>
</div>

<!-- Content Field -->
<div class="form-group">
    {!! Form::label('content', 'Content:') !!}
    <p>{{ $pages->content }}</p>
</div>

<!-- Type Field -->
<div class="form-group">
    {!! Form::label('type', 'Type:') !!}
    <p>{{ $pages->type }}</p>
</div>

<!-- Status Field -->
<div class="form-group">
    {!! Form::label('status', 'Status:') !!}
    <p>{{ $pages->status }}</p>
</div>

<!-- Image Full Field -->
<div class="form-group">
    {!! Form::label('image_full', 'Image Full:') !!}
    <p>{{ $pages->image_full }}</p>
</div>

<!-- Image Preview Field -->
<div class="form-group">
    {!! Form::label('image_preview', 'Image Preview:') !!}
    <p>{{ $pages->image_preview }}</p>
</div>

<!-- Banner Big Field -->
<div class="form-group">
    {!! Form::label('banner_big', 'Banner Big:') !!}
    <p>{{ $pages->banner_big }}</p>
</div>

<!-- Banner Small Field -->
<div class="form-group">
    {!! Form::label('banner_small', 'Banner Small:') !!}
    <p>{{ $pages->banner_small }}</p>
</div>

resources/views/pages/table.blade.php
@section('css')
    @include('layouts.datatables_css')
@endsection

{!! $dataTable->table(['width' => '100%', 'class' => 'table table-striped table-bordered']) !!}

@section('scripts')
    @include('layouts.datatables_js')
    {!! $dataTable->scripts() !!}
@endsection